<div *ngIf="isLoggedIn; else loggedOut">
  Logged in as {{username}}.<br>
  {{roles}}
</div>

<ng-template #loggedOut>
      <h2 class="ui image header">
        <div class="content">
          Log-in to your account
        </div>
      </h2>
      <form class="ui large form" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
        <div class="ui segment">
          <div class="field">
            <div class="ui left icon input">
              <i class="user icon"></i>
              <input type="text" class="form-control" name="username" [(ngModel)]="form.username" #username="ngModel"
                   required placeholder="Username"/>
            </div>
          </div>
          <div class="field">
            <div class="ui left icon input">
              <i class="lock icon"></i>
              <input type="password" class="form-control" name="password" [(ngModel)]="form.password" #password="ngModel"
                   required minlength="6" placeholder="Password"/>
            </div>
          </div>
          <div *ngIf="f.submitted && username.invalid">
            <div *ngIf="username.errors.required">Username is required</div>
          </div>
          <div *ngIf="f.submitted && password.invalid">
            <div *ngIf="password.errors.required">Password is required<br/></div>
            <div *ngIf="password.errors.minlength">Password must be at least 6 characters<br/></div>
          </div>
          <button class="ui fluid positive large submit button">Login</button>
          <div *ngIf="f.submitted && isLoginFailed">
            Login failed: {{errorMessage}}
          </div>
        </div>
      </form>
      <hr />
      <p>Don't have an account?</p>
      <div class="ui message">
        New to us? <a href="signup">Sign Up</a>
      </div>
</ng-template>

    
